/**
 * Created by life on 03.11.16.
 */
'use strict';

function mapProc(object, map) {
    if (typeof map.validators != 'undefined') {
        for (let i = 0; i < map.validators.length; i++) {
            if (!map.validators[i](object)) {
                return false;
            }
        }
    }
    if (typeof object.hasElements != 'undefined') {
        for (let i = 0; i < object.length; i++) {
            if ( ! mapProc(object[i], map.elementMap)) {
                return false;
            }
        }
    }
    if (typeof map.children != 'undefined') {
        for (let i in map.children) {
            if ( ! mapProc(object[i], map.children[i])) {
                return false;
            }
        }
    }
    return true;
}

module.exports = mapProc;